{
  "name": "node-clsi",
  "description": "A Node.js implementation of the CLSI LaTeX web-API",
  "version": "0.1.4",
  "repository": {
    "type": "git",
    "url": "https://github.com/sharelatex/clsi-sharelatex.git"
  },
  "scripts": {
    "start": "node $NODE_APP_OPTIONS app.js",
    "test:acceptance:_run": "mocha --recursive --reporter spec --timeout 15000 --exit $@ test/acceptance/js",
    "test:acceptance": "npm run test:acceptance:_run -- --grep=$MOCHA_GREP",
    "test:unit:_run": "mocha --exit --recursive --reporter spec $@ test/unit/js",
    "test:unit": "npm run test:unit:_run -- --grep=$MOCHA_GREP",
    "nodemon": "nodemon --config nodemon.json",
    "lint": "node_modules/.bin/eslint --max-warnings 0 .",
    "format": "node_modules/.bin/prettier-eslint $PWD'/**/*.js' --list-different",
    "format:fix": "node_modules/.bin/prettier-eslint $PWD'/**/*.js' --write"
  },
  "author": "James Allen <james@sharelatex.com>",
  "dependencies": {
    "@overleaf/metrics": "^3.4.1",
    "async": "3.2.0",
    "body-parser": "^1.19.0",
    "diskusage": "^1.1.3",
    "dockerode": "^3.1.0",
    "express": "^4.17.1",
    "fs-extra": "^8.1.0",
    "heapdump": "^0.3.15",
    "lockfile": "^1.0.4",
    "lodash": "^4.17.20",
    "logger-sharelatex": "^2.2.0",
    "mysql": "^2.18.1",
    "request": "^2.88.2",
    "sequelize": "^5.21.5",
    "settings-sharelatex": "^1.1.0",
    "sqlite3": "^4.1.1",
    "v8-profiler-node8": "^6.1.1",
    "wrench": "~1.5.9"
  },
  "devDependencies": {
    "babel-eslint": "^10.1.0",
    "bunyan": "^1.8.12",
    "chai": "~4.2.0",
    "eslint": "^6.8.0",
    "eslint-config-prettier": "^6.10.0",
    "eslint-config-standard": "^14.1.0",
    "eslint-config-standard-jsx": "^8.1.0",
    "eslint-config-standard-react": "^9.2.0",
    "eslint-plugin-chai-expect": "^2.1.0",
    "eslint-plugin-chai-friendly": "^0.5.0",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-mocha": "^6.3.0",
    "eslint-plugin-node": "^11.0.0",
    "eslint-plugin-prettier": "^3.1.2",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.19.0",
    "eslint-plugin-standard": "^4.0.1",
    "mocha": "^7.1.0",
    "prettier": "^2.0.0",
    "prettier-eslint-cli": "^5.0.0",
    "sandboxed-module": "^2.0.3",
    "sinon": "~9.0.1",
    "timekeeper": "2.2.0"
  }
}
